[Deprecated]: v2.0
get
/ec-site-svc/rest/v2/studies/{studyId}/{mode}/sdfcountry
Compared with v1, this deprecated v2 endpoint supports sdfId and countries filters for SDF-country associations. Use /v5.0/studies/{studyId}/{mode}/sdfcountry for enriched details.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
countries(required): string
Minimum Length:
3Maximum Length:1536Pattern:^([A-Z]{3})(,[A-Z]{3})*$Comma-separated list of ISO alpha-3 country codes.Example:USA -
sdfId(required): string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$SDF identifier as a 32-character uppercase hexadecimal UUID string.Example:C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path/query parameters are invalid or the request body fails validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples